=== debian/changelog ===
packer (1.6.6+ds1-4) unstable; urgency=medium

  * Fix FTBFS with go1.17 (Closes: #997099)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 24 Oct 2021 04:03:52 +0800

packer (1.6.6+ds1-3) unstable; urgency=medium

  * Add patch to build with aws sdk 1.37 (Closes: #996169)
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 12 Oct 2021 02:48:01 +0800

packer (1.6.6+ds1-2) unstable; urgency=medium

  * Backport patch to fix qemu builder with ide disk_interface (Closes: #987932)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 06 May 2021 00:11:33 +0800

packer (1.6.6+ds1-1) unstable; urgency=medium

  * Use packaged golang-github-zclconf-go-cty-yaml-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Dec 2020 04:00:17 +0800

packer (1.6.6+ds-1) unstable; urgency=medium

  * New upstream version 1.6.6+ds
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Dec 2020 03:16:24 +0800

packer (1.6.5+dfsg-3) unstable; urgency=medium

  * Disable one more test which fails on ipv6-only machine (Closes: #974169)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Nov 2020 10:49:49 +0800

packer (1.6.5+dfsg-2) unstable; urgency=medium

  * Increase test timeout to 1h

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Nov 2020 03:18:40 +0800

packer (1.6.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.5+dfsg
  * Disable osc builder.
    Need new dependency which is not packaged yet
  * Adjust Recommends and Suggests
    + Remove chef from Suggests, removed from archive.
    + Move docker.io to Suggests
  * Add patch to disable impersonation of gce builder.
    It needs golang-google-api >= 0.32

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 01:04:56 +0800

packer (1.6.4+dfsg-3) unstable; urgency=medium

  * Disable slow tests on riscv64 as well
  * Disable DWARF on mipsel to save memory when link

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 04 Oct 2020 23:39:51 +0800

packer (1.6.4+dfsg-2) unstable; urgency=medium

  * Limit external link on armel and armhf

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 04 Oct 2020 00:54:30 +0800

packer (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.4
  * Enable scaleway builder
  * Backport patch to fix panicwrap compatibility.
    Thanks Dmitry Borodaenko

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 03 Oct 2020 21:58:33 +0800

packer (1.6.0+dfsg-3) unstable; urgency=medium

  * Also fix linkmode on armel and armhf when testing
  * Adjust Recommends and Suggests

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Jul 2020 23:40:51 +0800

packer (1.6.0+dfsg-2) unstable; urgency=medium

  * Use external cgo linker
    armel/armhf fail to link:
    os/user(.text): direct call too far: .plt 87db4e
  * Disable test which needs ipv4 address on host
  * Disable one more slow test on mipsel
  * Remove golang-golang-x-tools-dev from Build-Depends
  * Bump gophercloud to 0.12.0
  * Add patch to fix vagrant cloud test
  * Add patch to build with reflectwalk 1.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jul 2020 01:10:03 +0800

packer (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.0+dfsg (Closes: #876929, #927926, #948000)
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0 (no changes)
  * Add Rules-Requires-Root

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 13 Jul 2020 01:00:32 +0800
