=== debian/control ===
Source: packer
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-golang,
 golang-any (>= 1.5),
# golang-github-1and1-oneandone-cloudserver-sdk-go-dev,
# golang-github-aliyun-alibaba-cloud-sdk-go
 golang-github-aliyun-aliyun-oss-go-sdk-dev,
 golang-github-aws-aws-sdk-go-dev (>= 1.36.0~),
 golang-github-azure-azure-sdk-for-go-dev (>= 43.3.0~),
 golang-github-azure-go-autorest-dev (>= 14.1.1~),
 golang-github-badgerodon-collections-dev,
 golang-github-biogo-hts-dev,
# golang-github-c2h5oh-datasize-dev,
 golang-gopkg-cheggaaa-pb.v1-dev (>= 1.0.25~),
 golang-github-christrenkamp-goxpath-dev (>= 1.0~alpha3+git20170922.c385f95~),
 golang-github-chzyer-readline-dev,
 golang-github-dgrijalva-jwt-go-dev,
 golang-github-digitalocean-godo-dev (>= 1.37.0),
 golang-github-digitalocean-go-qemu-dev,
# golang-github-exoscale-egoscale-dev,
 golang-github-gobwas-glob-dev,
 golang-github-gofrs-flock-dev,
 golang-github-google-go-cmp-dev,
 golang-github-google-shlex-dev,
 golang-github-google-uuid-dev,
 golang-github-gophercloud-gophercloud-dev (>= 0.12.0),
 golang-github-gophercloud-utils-dev,
# golang-github-grpc-ecosystem-go-grpc-middleware-dev,
# golang-github-hashicorp-consul-dev,
 golang-github-hashicorp-errwrap-dev,
 golang-github-hashicorp-go-checkpoint-dev,
 golang-github-hashicorp-go-cleanhttp-dev,
# golang-github-hashicorp-go-cty-funcs-dev,
# golang-github-hashicorp-go-getter-dev,
 golang-github-hashicorp-go-multierror-dev,
# golang-github-hashicorp-go-oracle-terraform-dev,
 golang-github-hashicorp-go-uuid-dev,
 golang-github-hashicorp-go-version-dev,
# golang-github-hashicorp-hcl-dev,
# golang-github-hashicorp-vault-dev,
 golang-github-hashicorp-yamux-dev,
 golang-github-hetznercloud-hcloud-go-dev,
# golang-github-hyperonecom-h1-client-go-dev,
# golang-github-jdcloud-api-jdcloud-sdk-go-dev,
# golang-github-jehiah-go-strftime-dev,
# golang-github-joyent-triton-go-dev,
 golang-github-klauspost-pgzip-dev,
# golang-github-linode-linodego-dev,
 golang-github-masterzen-winrm-dev (>= 0.0~git20170601.0.1ca0ba6~),
 golang-github-mattn-go-tty-dev,
 golang-github-mitchellh-cli-dev,
 golang-github-mitchellh-go-fs-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-mitchellh-go-vnc-dev,
 golang-github-mitchellh-iochan-dev,
 golang-github-mitchellh-mapstructure-dev (>= 1.3.2~),
 golang-github-mitchellh-panicwrap-dev,
 golang-github-mitchellh-prefixedio-dev,
 golang-github-mitchellh-reflectwalk-dev,
# golang-github-navercloudplatform-ncloud-sdk-go-v2-dev,
 golang-github-olekukonko-tablewriter-dev,
# golang-github-oracle-oci-go-sdk-dev,
# golang-github-outscale-osc-go-dev,
 golang-github-packer-community-winrmcp-dev (>= 0.0~git20170607.0.078cc0a~),
 golang-github-pierrec-lz4-dev (>= 2.5.2~),
 golang-github-pkg-sftp-dev,
 golang-github-posener-complete-dev,
# golang-github-profitbricks-profitbricks-sdk-go-dev,
 golang-github-ryanuber-go-glob-dev,
# golang-github-scaleway-scaleway-cli-dev,
 golang-github-shirou-gopsutil-dev,
# golang-github-telmate-proxmox-api-go-dev,
# golang-github-tencentcloud-tencentcloud-sdk-go-dev,
# golang-github-ucloud-ucloud-sdk-go-dev,
# golang-github-ufilesdk-dev-ufile-gosdk-dev,
 golang-github-ugorji-go-codec-dev,
 golang-github-ulikunitz-xz-dev,
 golang-github-vmware-govmomi-dev (>= 0.23.0~),
 golang-github-xanzy-go-cloudstack-dev,
# golang-github-yandex-cloud-go-genproto-dev,
# golang-github-yandex-cloud-go-sdk-dev,
 golang-github-zclconf-go-cty-dev (>= 1.5.0~),
 golang-github-zclconf-go-cty-yaml-dev,
 golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
# golang-golang-x-mobile-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-dev (>= 0.0~git20180821.d2e6202~),
 golang-golang-x-oauth2-google-dev (>= 0.0~git20180821.d2e6202~),
 golang-golang-x-sync-dev,
 golang-golang-x-sys-dev,
 golang-google-api-dev (>= 0.0~git20180916.19ff876~),
# golang-google-grpc-dev,
# Test dependency
 golang-github-approvals-go-approval-tests-dev,
 golang-github-dylanmei-winrmtest-dev,
 golang-github-go-ini-ini-dev,
 golang-github-stretchr-testify-dev,
# Vendor dependency
# golang-github-hashicorp-go-cty-funcs-dev,
 golang-github-apparentlymart-go-cidr-dev,
 golang-github-bmatcuk-doublestar-dev,
# golang-github-scaleway-scaleway-cli-dev,
## golang-github-sirupsen-logrus-dev,
## golang-github-gorilla-websocket-dev,
# golang-github-yandex-cloud-go-sdk-dev,
## golang-github-ghodss-yaml-dev,
# golang-github-jdcloud-api-jdcloud-sdk-go-dev,
# golang-github-hashicorp-vault-dev,
 golang-github-golang-snappy-dev,
 golang-github-hashicorp-go-retryablehttp-dev,
 golang-github-hashicorp-go-sockaddr-dev,
 golang-gopkg-square-go-jose.v2-dev,
# golang-github-hashicorp-consul-dev,
 golang-github-hashicorp-go-hclog-dev,
 golang-github-hashicorp-go-rootcerts-dev,
 golang-github-hashicorp-serf-dev,
# golang-github-aliyun-alibaba-cloud-sdk-go
 golang-github-json-iterator-go-dev,
 golang-gopkg-ini.v1-dev,
# golang-github-hashicorp-go-getter-dev,
 golang-google-cloud-dev,
 golang-github-bgentry-go-netrc-dev,
 golang-github-hashicorp-go-safetemp-dev,
 golang-github-mitchellh-go-testing-interface-dev,
# golang-github-hashicorp-hcl-dev,
 golang-github-agext-levenshtein-dev,
 golang-github-mitchellh-go-wordwrap-dev,
Standards-Version: 4.6.0
Homepage: https://www.packer.io/
Vcs-Browser: https://salsa.debian.org/go-team/packages/packer
Vcs-Git: https://salsa.debian.org/go-team/packages/packer.git
XS-Go-Import-Path: github.com/hashicorp/packer
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: packer
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: ansible,
          docker.io,
          qemu-system,
Description: tool for creating machine images for multiple platforms
 Packer is an open source tool for creating identical machine images for
 multiple platforms from a single source configuration. Packer is lightweight,
 runs on every major operating system, and is highly performant, creating
 machine images for multiple platforms in parallel. Packer does not replace
 configuration management like Chef or Puppet. In fact, when building images,
 Packer is able to use tools like Chef or Puppet to install software onto the
 image.
 .
 A machine image is a single static unit that contains a pre-configured
 operating system and installed software which is used to quickly create new
 running machines. Machine image formats change for each platform. Some
 examples include AMIs for EC2, VMDK/VMX files for VMware, OVF exports for
 VirtualBox, etc.
 .
 For the documentation of Packer, please see <https://www.packer.io/docs>.
