=== debian/changelog ===
packer (1.6.6+ds2-1) unstable; urgency=medium

  * Vendor github.com/zclconf/go-cty
    v1.11+ drops encoding/gob support. (Closes: #1032525)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 13 Mar 2023 18:34:54 +0800

packer (1.6.6+ds1-7) unstable; urgency=medium

  * Fix uscan watch file

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Feb 2023 23:24:44 +0800

packer (1.6.6+ds1-6) unstable; urgency=medium

  * Add golang-github-satori-go.uuid-dev to Build-Depends
  * Update Standards-Version to 4.6.2 (no changes)
  * Bump golang-google-api-dev to 0.32.0
  * Add patch to fix test with azure-sdk-for-go v68

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Feb 2023 21:13:56 +0800

packer (1.6.6+ds1-5) unstable; urgency=medium

  * Add golang-github-apparentlymart-go-textseg-dev to Build-Depends.
    And bump it to v13. (Closes: #1021654)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 12 Oct 2022 21:58:14 +0800
