=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-golang,
  golang-any (>= 1.5),
+ golang-github-apparentlymart-go-textseg-dev (>= 13.0.0~),
 # golang-github-1and1-oneandone-cloudserver-sdk-go-dev,
 # golang-github-aliyun-alibaba-cloud-sdk-go
  golang-github-aliyun-aliyun-oss-go-sdk-dev,
@@ -72,6 +73,7 @@
 # golang-github-profitbricks-profitbricks-sdk-go-dev,
  golang-github-ryanuber-go-glob-dev,
 # golang-github-scaleway-scaleway-cli-dev,
+ golang-github-satori-go.uuid-dev,
  golang-github-shirou-gopsutil-dev,
 # golang-github-telmate-proxmox-api-go-dev,
 # golang-github-tencentcloud-tencentcloud-sdk-go-dev,
@@ -83,8 +85,8 @@
  golang-github-xanzy-go-cloudstack-dev,
 # golang-github-yandex-cloud-go-genproto-dev,
 # golang-github-yandex-cloud-go-sdk-dev,
- golang-github-zclconf-go-cty-dev (>= 1.5.0~),
- golang-github-zclconf-go-cty-yaml-dev,
+# golang-github-zclconf-go-cty-dev (>= 1.5.0~),
+# golang-github-zclconf-go-cty-yaml-dev,
  golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
 # golang-golang-x-mobile-dev,
  golang-golang-x-net-dev,
@@ -92,7 +94,7 @@
  golang-golang-x-oauth2-google-dev (>= 0.0~git20180821.d2e6202~),
  golang-golang-x-sync-dev,
  golang-golang-x-sys-dev,
- golang-google-api-dev (>= 0.0~git20180916.19ff876~),
+ golang-google-api-dev (>= 0.32.0~),
 # golang-google-grpc-dev,
 # Test dependency
  golang-github-approvals-go-approval-tests-dev,
@@ -129,7 +131,7 @@
 # golang-github-hashicorp-hcl-dev,
  golang-github-agext-levenshtein-dev,
  golang-github-mitchellh-go-wordwrap-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.packer.io/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/packer
 Vcs-Git: https://salsa.debian.org/go-team/packages/packer.git
