=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+ds1, \
      uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3%, \
      filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/hashicorp/packer/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian
