## packer 1.14.1

=== debian/changelog ===
packer (1.14.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.14.1 version
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 20:22:44 +0200

packer (1.11.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.11.2 version
  * Bump the Standards-Version
  * Drop the i386 arch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 21:39:38 +0200

packer (1.10.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.10.3 version
  * Bump the version required of golang-go to 1.21

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 25 Apr 2024 09:37:49 +0200

packer (1.9.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.9.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 02 Nov 2023 13:20:41 +0100

packer (1.9.2-2kaisen) kaisen-packages; urgency=medium

  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 20:36:34 +0100

packer (1.9.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.9.2 version
  * Bump golang-go version required
  * Many improvements of the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jul 2023 04:25:28 +0100

packer (1.8.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.8.6 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 22:13:36 +0100

packer (1.8.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.8.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 17:45:06 +0100

packer (1.8.3-1kaisen) kaisen-packages; urgency=medium

  * Import 1.8.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 19:55:57 +0100

packer (1.8.2-1kaisen) kaisen-packages; urgency=medium

  * Import 1.8.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 07 Jul 2022 18:51:11 +0100

packer (1.8.1-1kaisen) kaisen-packages; urgency=medium

  * Import 1.8.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 23:08:24 +0100

packer (1.8.0-2kaisen) kaisen-packages; urgency=medium

  * Improve a lot the packaging
  * Added quilt patch to remove the .git folder dependancies

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 15 Apr 2022 21:36:32 +0100

packer (1.8.0-1kaisen) kaisen-packages; urgency=medium

  * Use go install instead of go get to build packer
  * Import 1.8.0 version
  * Add packer logo
  * Add docs

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 30 Mar 2022 01:07:31 +0100

packer (1.7.10-1kaisen) kaisen-packages; urgency=medium

  * Import 1.7.10 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 08 Feb 2022 11:10:34 +0100

packer (1.7.9-1kaisen) kaisen-packages; urgency=medium

  * Import 1.7.9 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 24 Jan 2022 00:09:14 +0100

packer (1.7.8-1kaisen) kaisen-packages; urgency=medium

  * Complete repackaging (remove Debian packaging)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 18 Jan 2022 11:58:15 +0100
